org.apache.sysds.runtime.controlprogram.federated

## Class FederatedWorker

- java.lang.Object
- - org.apache.sysds.runtime.controlprogram.federated.FederatedWorker

    public class FederatedWorker
    extends Object

### Constructor Summary

Constructors
Constructor and Description
`FederatedWorker(int port)`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `run()`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### FederatedWorker

    public FederatedWorker(int port)

### Method Detail

#### run

    public void run()
             throws CertificateException,
                    SSLException

Throws:
  `CertificateException`
  `SSLException`